## Création d’un schéma à partir d’un jeu de données

Un jeu de données peut être importé dans Qualigéo comme référence pour constituer un schéma de contraintes. Son modèle de données, ses types d’entité, ses attributs et sa géométrie constituent les contraintes du schéma à créer.

Le menu contextuel du nœud **Schémas** permet d’accéder à cette fonctionnalité.

Saisir le nom du schéma à créer puis indiquer le jeu de données à partir duquel les contraintes seront implémentées.

![](../../Ressources/Images/interface_writer.PNG)

Trois types de formats de jeux de données peuvent être différenciés :

*   fichier,
*   base de données,
*   répertoire.

### Fichier

![](../../Ressources/Images/creer_fichier.PNG)

Il est possible de créer le schéma de contraintes à partir d’un ou plusieurs fichiers.

### Base de données

![](../../Ressources/Images/creer_database.PNG)

Pour créer un schéma à partir d’un type base de données, définir le serveur, le port, la base de données ainsi que l’utilisateur et mot de passe de connexion. Pour les bases de données Oracle, le serveur et le port ne sont pas à définir.

![](../../Ressources/Images/attention.png) Les noms des tables et vues à importer depuis une base de données PostgreSQL/PostGIS doivent être préfixées par le nom du schéma PostgreSQL.

### Répertoire

![](../../Ressources/Images/creer_repertoire.PNG)

Pour la création d’un schéma à partir d’un répertoire, il faut définir le chemin vers le dossier contenant les données "modèles".

Cliquer sur le bouton **Importer** pour créer le schéma.

### Import de fichier au format AutoCAD

L’option de création d'un schéma de contraintes via un fichier Autocad permet d’importer les attributs de format Autocad. Sans cette option, seuls les calques sans attributs sont importés.

Cette fonctionnalité permet un contrôle attributaire des calques AutoCAD. Les attributs suivant sont alors importés :
- autocad_layer
- autocad_color
- autocad_geometry_fme
- autocad_entity
- autocad_layer_color
- autocad_linetype
- autocad_layer_linetype
- autocad_type_fme
- autocad_xscale
- autocad_yscale
- autocad_zscale
